package com.kingdee.eas.custom.performancenew;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.performancenew.app.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ExamineGradePerson extends CoreBillBase implements IExamineGradePerson
{
    public ExamineGradePerson()
    {
        super();
        registerInterface(IExamineGradePerson.class, this);
    }
    public ExamineGradePerson(Context ctx)
    {
        super(ctx);
        registerInterface(IExamineGradePerson.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("B99F4C3E");
    }
    private ExamineGradePersonController getController() throws BOSException
    {
        return (ExamineGradePersonController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ExamineGradePersonCollection getExamineGradePersonCollection() throws BOSException
    {
        try {
            return getController().getExamineGradePersonCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ExamineGradePersonCollection getExamineGradePersonCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getExamineGradePersonCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ExamineGradePersonCollection getExamineGradePersonCollection(String oql) throws BOSException
    {
        try {
            return getController().getExamineGradePersonCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ExamineGradePersonInfo getExamineGradePersonInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getExamineGradePersonInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ExamineGradePersonInfo getExamineGradePersonInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getExamineGradePersonInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ExamineGradePersonInfo getExamineGradePersonInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getExamineGradePersonInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *锁定周期-User defined method
     *@param billId 单据id
     */
    public void periodLock(String billId) throws BOSException, EASBizException
    {
        try {
            getController().periodLock(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *解除周期-User defined method
     *@param billId 单据id
     */
    public void periodUnlock(String billId) throws BOSException, EASBizException
    {
        try {
            getController().periodUnlock(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     * 启动排序-User defined method
     *@param billId 单据id
     */
    public void startOrder(String billId) throws BOSException
    {
        try {
            getController().startOrder(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *反启用排序-User defined method
     *@param entryId 分录ID
     */
    public void closeOrder(String entryId) throws BOSException
    {
        try {
            getController().closeOrder(getContext(), entryId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}